# applyPreDefendAbAttrs | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applyPreDefendAbAttrs

- applyPreDefendAbAttrs(
  attrType: Constructor < PreDefendAbAttr >,
  pokemon: default ,
  attacker: default ,
  move: null | default ,
  cancelled: null | BooleanHolder ,
  simulated?: boolean,
  ...args: any[],
  ): void

  #### Parameters

  - attrType: Constructor < PreDefendAbAttr >
  - pokemon: default
  - attacker: default
  - move: null | default
  - cancelled: null | BooleanHolder
  - simulated: boolean = false
  - ...args: any[]

  #### Returns void

  - Defined in src/data/ability.ts:5700